Bug 358868 - copy entire page to clipboard
Summary: copy entire page to clipboard
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-01 12:17 UTC by genet
Modified: 2019-04-24 21:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 19.08.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description genet 2016-02-01 12:17:11 UTC
Would be cool to be able to, e.g., double click and copy the entire page to clipboard. Thanks for your consideration! Martin
Comment 1 Albert Astals Cid 2019-04-21 23:19:08 UTC
Git commit f788b5a384b5445bd08c775e51e4041ca7045da2 by Albert Astals Cid, on behalf of Shubham Jangra.
Committed on 21/04/2019 at 23:11.
Pushed by aacid into branch 'master'.

Add action in Edit menu to select the text on current page

Test Plan: Click on "Select All Text on Current Page" entry in Edit menu to select the entire page. The selected text can then be copied via Edit menu item "Copy"

Reviewers: aacid, #vdg, ngraham

Reviewed By: #vdg, ngraham

Subscribers: yurchor, michaelweghorn, kde-doc-english, davidhurka, abetts, loh.tar, alexde, ngraham, okular-devel

Tags: #okular, #documentation

Differential Revision: https://phabricator.kde.org/D18744

M  +15   -0    doc/index.docbook
M  +9    -0    part.cpp
M  +1    -0    part.h
M  +2    -1    part.rc
M  +15   -0    ui/pageview.cpp
M  +2    -0    ui/pageview.h

https://commits.kde.org/okular/f788b5a384b5445bd08c775e51e4041ca7045da2